Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.envers
Annotation Type AuditOverride

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface AuditOverride

The `AuditingOverride` annotation is used to override the auditing behavior of a superclass or single property inherited from `MappedSuperclass` type, or attribute inside an embedded component.

See Also:
  `Embedded`, `Embeddable`, `MappedSuperclass`, `AssociationOverride`, `AuditJoinTable`

Optional Element Summary
`AuditJoinTable` | `auditJoinTable`
`Class` | `forClass`
`boolean` | `isAudited`
`String` | `name`

### name

    public abstract String name

  Returns:
    Name of the field (or property) whose mapping is being overridden. Allows empty value if `AuditOverride` is used to change auditing behavior of all attributes inherited from `MappedSuperclass` type.
  Default:
    ""

### isAudited

    public abstract boolean isAudited

  Returns:
    Indicates if the field (or property) is audited; defaults to `true`.
  Default:
    true

### auditJoinTable

    public abstract AuditJoinTable auditJoinTable

  Returns:
    New `AuditJoinTable` used for this field (or property). Its value is ignored if `isAudited()` equals to `false`.
  Default:
    @org.hibernate.envers.AuditJoinTable

### forClass

    public abstract Class forClass

  Returns:
    Specifies class which field (or property) mapping is being overridden. Required if `AuditOverride` is used to change auditing behavior of attributes inherited from `MappedSuperclass` type.
  Default:
    void.class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.